Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Fixed_Pt_Type Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Fixed_Pt_Type:

[legend]
Collaboration diagram for TAO_PSDL_Fixed_Pt_Type:

[legend]
List of all members.

## Public Methods

| TAO_PSDL_Fixed_Pt_Type (TAO_PSDL_Node *positive_int_const_one, TAO_PSDL_Node *positive_int_const_two)
| ****************************************************************
virtual | ~TAO_PSDL_Fixed_Pt_Type (void)
TAO_PSDL_Node * | positive_int_const_one (void) const
| Get the value.
TAO_PSDL_Node * | positive_int_const_two (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.

## Private Attributes

TAO_PSDL_Node * | positive_int_const_one_
| The values.
TAO_PSDL_Node * | positive_int_const_two_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Fixed_Pt_Type::TAO_PSDL_Fixed_Pt_Type | ( | TAO_PSDL_Node * | positive_int_const_one,
|  | TAO_PSDL_Node * | positive_int_const_two
| ) |

| ****************************************************************

TAO_PSDL_Fixed_Pt_Type::~TAO_PSDL_Fixed_Pt_Type | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Fixed_Pt_Type::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Fixed_Pt_Type::positive_int_const_one | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Fixed_Pt_Type::positive_int_const_two | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Fixed_Pt_Type::positive_int_const_one_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Fixed_Pt_Type::positive_int_const_two_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp